#1/usr/bin/python

import lxml.html
from urllib.request import urlopen

url = 'https://tests.reproducible-builds.org/archlinux/archlinux.html'

root = lxml.html.parse(urlopen(url))
table = root.findall('//table')[2]

for tr in table.findall('tr'):
    for td in tr.findall('td'):
        if td.findall('img'):
            img = td.find('img')
            if '404 icon' in img.get('alt'):
                desc = td.text_content().strip()
                pkgname = td.getparent().findall('td')[1].text
                print('{} - {}'.format(pkgname, desc))
